//////////////////////////////////////////////////////////////////////////////
// File: winlib.h
//
// $URL: https://svn.home.lan/winlib/trunk/code/libwin/src/winlib/winlib.h $
// $Id: winlib.h 33 2010-05-20 20:11:37Z jcurl $
//
// Description
//
// Design
//
// Revision History:
//
//  The revision history contains the date of a change, the author of the
//  change and in the description at a minimum the Problem Report that
//  required the change.
//
//  Date    Author   Description
//  ------- -------- ---------------------------------------------------------
//  07Dec08 jcurl    Initial Version
//
// To Do:
//
//////////////////////////////////////////////////////////////////////////////

#ifndef WINLIB_H
#define WINLIB_H

//////////////////////////////////////////////////////////////////////////////
// Includes
//////////////////////////////////////////////////////////////////////////////

// Standard System Includes

// Local Includes
#include <winlib/version.h>

//////////////////////////////////////////////////////////////////////////////
// Global Defines
//////////////////////////////////////////////////////////////////////////////
#ifndef LIBAPI
# ifdef __MSVCRT__
#  ifdef DLL_EXPORT
#   define LIBAPI __stdcall __declspec(dllexport)
#  else
#   define LIBAPI __stdcall __declspec(dllimport)
#  endif
# else
#  define LIBAPI
# endif
#endif

//////////////////////////////////////////////////////////////////////////////
// Type Definitions
//////////////////////////////////////////////////////////////////////////////

//////////////////////////////////////////////////////////////////////////////
// External Objects
//////////////////////////////////////////////////////////////////////////////

//////////////////////////////////////////////////////////////////////////////
// Function Declarations
//////////////////////////////////////////////////////////////////////////////
LIBAPI int GetLibraryVersion(int *major, int *minor, int *rev, int *build);

//////////////////////////////////////////////////////////////////////////////
#endif
