//////////////////////////////////////////////////////////////////////////////
// File: version.c
//
// $URL: https://svn.home.lan/winlib/trunk/code/libwin/test/version.c $
// $Id: version.c 33 2010-05-20 20:11:37Z jcurl $
//
// Description
//
// Design
//
// Revision History:
//
//  The revision history contains the date of a change, the author of the
//  change and in the description at a minimum the Problem Report that
//  required the change.
//
//  Date    Author   Description
//  ------- -------- ---------------------------------------------------------
//  11Jul08 a15595   Initial Version
//
// To Do:
//
//////////////////////////////////////////////////////////////////////////////

//////////////////////////////////////////////////////////////////////////////
// Includes
//////////////////////////////////////////////////////////////////////////////
// Configuration
#include <config.h>

// Standard System Includes
#include <stdio.h>
#include <stdlib.h>

// Test Includes
#include <test.h>

// Local Includes
#include <winlib/types.h>
#include <winlib/winlib.h>

//////////////////////////////////////////////////////////////////////////////
// Global Defines (this module only)
//////////////////////////////////////////////////////////////////////////////

//////////////////////////////////////////////////////////////////////////////
// Type Definitions
//////////////////////////////////////////////////////////////////////////////

//////////////////////////////////////////////////////////////////////////////
// External Objects Definition
//////////////////////////////////////////////////////////////////////////////

//////////////////////////////////////////////////////////////////////////////
// Static Objects
//////////////////////////////////////////////////////////////////////////////

//////////////////////////////////////////////////////////////////////////////
// Function Declarations
//////////////////////////////////////////////////////////////////////////////

//////////////////////////////////////////////////////////////////////////////
// Function Definitions
//////////////////////////////////////////////////////////////////////////////

//////////////////////////////////////////////////////////////////////////////
// Function: 
//
// Inputs:
//
// Outputs:
//
// Description:
//
// Design:
//
// Results:
//
// Error Handling:
//
// To Do:
//
// Notes:
//
//////////////////////////////////////////////////////////////////////////////
int main(int argc, char **argv)
{
    int major, minor, revision, build;

    teststart();

    // - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
    // Test the version information
    // - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
    testcase("Version Information");
    subtestcase("Normal case");
    if (GetLibraryVersion(&major, &minor, &revision, &build) == FALSE) {
        testfail("GetLibraryVersion returned FALSE");
    } else {
        if (major != WINLIB_MAJOR) {
            testfail("major == %d, expected %d", major, WINLIB_MAJOR);
        }
        if (minor != WINLIB_MINOR) {
            testfail("minor == %d, expected %d", minor, WINLIB_MINOR);
        }
        if (revision != WINLIB_REVISION) {
            testfail("revision == %d, expected %d", revision, 
                     WINLIB_REVISION);
        }
        if (build != WINLIB_BUILD) {
            testfail("build = %d, expected %d", build, WINLIB_BUILD);
        }
    }
    testpass();

    return EXIT_SUCCESS;
}
