//////////////////////////////////////////////////////////////////////////////
// File: test.h
//
// $URL: https://svn.home.lan/winlib/trunk/code/libtestfw/test.h $
// $Id: test.h 23 2009-09-20 16:33:04Z jcurl $
//
// Description
//
// Revision History:
//
//  The revision history contains the date of a change, the author of the
//  change and in the description at a minimum the Problem Report that
//  required the change.
//
//  Date    Author   Description
//  ------- -------- ---------------------------------------------------------
//  15Nov07 a15595   Initial Version, based on mofo/libmofo/test/test.h,v 1.3
//
// To Do:
//
//////////////////////////////////////////////////////////////////////////////

#ifndef WINSERLOG_TEST_H
#define WINSERLOG_TEST_H

//////////////////////////////////////////////////////////////////////////////
// Includes
//////////////////////////////////////////////////////////////////////////////

//////////////////////////////////////////////////////////////////////////////
// Global Defines
//////////////////////////////////////////////////////////////////////////////

//////////////////////////////////////////////////////////////////////////////
// Type Definitions
//////////////////////////////////////////////////////////////////////////////
typedef enum {
    TEST_PASSED,
    TEST_FAILED,
    TEST_BLOCKED,
    TEST_CHECK,
    TEST_UNKNOWN
} tstate_t;

//////////////////////////////////////////////////////////////////////////////
// External Objects
//////////////////////////////////////////////////////////////////////////////

//////////////////////////////////////////////////////////////////////////////
// Function Declarations
//////////////////////////////////////////////////////////////////////////////
void teststart(void);
void testfinish(void);
void testcase(const char *testname, ...);
void subtestcase(const char *testname, ...);
void testpass(void);
void testcheck(void);
void testblocked(const char *reason, ...);
void testfail(const char *reason, ...);

tstate_t teststate();

//////////////////////////////////////////////////////////////////////////////
#endif
