# $URL: https://svn.home.lan/winlib/trunk/code/m4/debug.m4 $
# $Id: debug.m4 34 2010-05-21 09:42:48Z jcurl $

# LX_DEBUG
# --------
AC_DEFUN([LX_DEBUG_EARLY],
  [LX_CFLAGS=${CFLAGS-NONE}])

AC_DEFUN([LX_DEBUG],
  [AC_ARG_ENABLE(debug)
   AM_CONDITIONAL([HAVE_DEBUG], [test x$enable_debug = xyes])
   if test x$enable_debug = xyes; then
      AC_DEFINE([DEBUG], [1], [Enable Debugging])
      AC_MSG_CHECKING([supported compiler debug options])
      if test x$GCC = xyes; then
         AC_MSG_RESULT([GCC])
         AC_MSG_CHECKING([gcc cflags])
         if test "x$CFLAGS" = "x"; then
            CFLAGS="-O0 -g"
         fi
         if test "x$LX_CFLAGS" = xNONE; then
            CFLAGS="-O0 -g"
         fi
         AC_MSG_RESULT([$CFLAGS])
      else
         AC_MSG_RESULT([Unknown])
      fi
   fi
])

